Bug 807718 - libglusterfs: MD5 license, replace GPLV3+ code with OpenSSH
libglusterfs: MD5 license, replace GPLV3+ code with OpenSSH
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Kaleb KEITHLEY
Shwetha Panduranga
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-28 10:48 EDT by Kaleb KEITHLEY
Modified: 2012-07-05 07:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 07:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2012-03-28 10:48:47 EDT
Description of problem:

The MD5 source we're carrying in the tree is licensed under GPLV3+, and is an impediment to partners and third parties writing add-ons for glusterfs


Version-Release number of selected component (if applicable):

All

How reproducible:

N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-04-04 19:13:43 EDT
CHANGE: http://review.gluster.com/3019 (Replace GPLV3 MD5 with OpenSSL MD5) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Anand Avati 2012-04-05 12:49:07 EDT
CHANGE: http://review.gluster.com/3094 (cluster/afr: Fix a compilation warning) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2012-04-11 23:58:03 EDT
CHANGE: http://review.gluster.com/3095 (contrib/md5: prune contrib/md5/* from tree) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Anush Shetty 2012-05-31 02:18:27 EDT
Verified in release-3.3

Note You need to log in before you can comment on or make changes to this bug.